JetpackとWordPress.comが連携できない場合の対処法 その2

その1はこちら

Jetpackエラーの対処法というよりWordpressの再セットアップ法になってしまっていますが。

ですが、今回は対処らしい対処です。

エラーコード -32300 への対処法

これは、当サイトで使用しているPHPバージョン7.1にJetpackが対応していないことが原因でした。
そこで、PHPのバージョンを7.1から7.0に下げたところ、このエラーは出なくなりました。
こちらのサイトさんに感謝。

エラーコード -32601 への対処法

当サイトではテーマにLuxeritasを使用しており、チェック一つでAMP対応できるのですが、その際にJetpackプラグインにチェックを入れていなかったのが原因でした。
従って対処は「AMP で有効化するプラグイン」の「Jetpack by WordPress.com」にチェック。これだけ。

多分、他のAMP対応テーマやプラグイン等でもこのようなことはあるかと思います。
というか、まあ色々やってみて気づいた的な。そりゃそうか、と。
そこで、上記引用サイトさんの真似してここはひとつ。

泣けるくらい簡単なことなのに、すげー苦戦したので備忘録として書き留めておきます。(T_T)

わかる。いやほんと、まさにそのとおりです。

 

これも誰かのためになるといいなあ。